Google Web Toolkit
Search Google Code:

# Class JParameterizedType

public class JParameterizedType
extends JType
Represents a parameterized type in a declaration.

## Methods

getJNISignature() | The signature of the raw type.
getLeafType() |
getNonParameterizedQualifiedSourceName() |
getParameterizedQualifiedSourceName() |
getQualifiedSourceName() | Everything is fully qualified and includes the < and > in the signature.
getRawType() |
getSimpleSourceName() | In this case, the raw type name.
getTypeArgs() |
isArray() |
isClass() |
isInterface() |
isParameterized() |
isPrimitive() |

## Method Detail

### getJNISignature

public String getJNISignature()
The signature of the raw type.

### getLeafType

public JType getLeafType()

### getNonParameterizedQualifiedSourceName

public String getNonParameterizedQualifiedSourceName()

### getParameterizedQualifiedSourceName

public String getParameterizedQualifiedSourceName()

### getQualifiedSourceName

public String getQualifiedSourceName()
Everything is fully qualified and includes the < and > in the signature.

### getRawType

public JClassType getRawType()

### getSimpleSourceName

public String getSimpleSourceName()
In this case, the raw type name.

### getTypeArgs

public JType[] getTypeArgs()

### isArray

public abstract JArrayType isArray()

### isClass

public abstract JClassType isClass()

### isInterface

public abstract JClassType isInterface()

### isParameterized

public abstract JParameterizedType isParameterized()

### isPrimitive

public abstract JPrimitiveType isPrimitive()